Name:          joram-jms-tests
Version:       1.0
Release:       1%{?dist}
Summary:       Maven artifact of the Joram JMS tests
License:       ASL 2.0
URL:           https://github.com/fusesource/joram-jms-tests
Source0:       https://github.com/fusesource/joram-jms-tests/archive/%{name}-%{version}.tar.gz
# https://github.com/fusesource/joram-jms-tests/issues/2
Source1:       http://www.apache.org/licenses/LICENSE-2.0.txt

BuildRequires: maven-local
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.apache.geronimo.specs:geronimo-jms_1.1_spec)
BuildRequires: mvn(org.fusesource:fusesource-pom:pom:)

BuildArch:     noarch

%description
JORAM is an open source Java implementation of JMS
(Java Message Service) API specification.

This package provides a mavenized distribution of the
Joram JMS tests.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{name}-%{version}
# Cleanup
find . -name "*.class" -print -delete
find . -name "*.jar" -print -delete

cp -p %SOURCE1 LICENSE.txt
sed -i 's/\r//' LICENSE.txt

%mvn_file org.fusesource.%{name}:%{name} %{name}

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt

%changelog
* Tue Mar 15 2016 gil cattaneo <puntogil@libero.it> 1.0-1
- initial rpm
